<?php
/*********************************************************
  Coppermine 1.6.x Plugin - LightBox (NotesFor.net)
  Copyright (c) 2009-2011 Joe Carver and Helori Lamberty
  Updated (v3.4) by {ron4mac}

  Version 3.4 - 28 August 2022
*********************************************************/
define('IN_COPPERMINE', true);
global $CONFIG, $USER;
// only count if not in admin mode 
if (!GALLERY_ADMIN_MODE) {

	// init pid variable
	$enlcnt_pid = '';

	// create Inspekt instance to sanitize data
	$enlcnt_superCage = Inspekt::makeSuperCage();

	// check if GET variable a exists
	if ($enlcnt_superCage->get->keyExists('a')) {
		// if yes, get Variable a
		$pid = $enlcnt_superCage->get->getInt('a');

		 // increase pic counter in database
		if ((!USER_IS_ADMIN && $CONFIG['count_admin_hits'] == 0 || $CONFIG['count_admin_hits'] == 1) && !in_array($pid, $USER['liv']) && $superCage->cookie->keyExists($CONFIG['cookie_name'] . '_data')) {
			add_hit($pid);
			if (count($USER['liv']) > 4) array_shift($USER['liv']);
			array_push($USER['liv'], $pid);
		}
	}
}
